module axis_register_wrapper(
    input logic clk,
    input logic rst,

    axis_intf.SLAVE s_axis,
    axis_intf.MASTER m_axis
);

axis_register #(
    .DATA_WIDTH(s_axis.DATA_WIDTH),
    .KEEP_WIDTH(s_axis.KEEP_WIDTH),
    .ID_ENABLE(1),
    .ID_WIDTH(s_axis.ID_WIDTH),
    .DEST_ENABLE(1),
    .DEST_WIDTH(s_axis.DEST_WIDTH),
    .USER_WIDTH(s_axis.USER_WIDTH)
) u_reg (
    .clk(clk),
    .rst(rst),

    .s_axis_tdata   (s_axis.tdata),
    .s_axis_tkeep   (s_axis.tkeep),
    .s_axis_tvalid  (s_axis.tvalid),
    .s_axis_tready  (s_axis.tready),
    .s_axis_tlast   (s_axis.tlast),
    .s_axis_tid     (s_axis.tid),
    .s_axis_tdest   (s_axis.tdest),
    .s_axis_tuser   (s_axis.tuser),

    .m_axis_tdata   (m_axis.tdata),
    .m_axis_tkeep   (m_axis.tkeep),
    .m_axis_tvalid  (m_axis.tvalid),
    .m_axis_tready  (m_axis.tready),
    .m_axis_tlast   (m_axis.tlast),
    .m_axis_tid     (m_axis.tid),
    .m_axis_tdest   (m_axis.tdest),
    .m_axis_tuser   (m_axis.tuser)
);

endmodule